curl
curl -sS -X POST "https://gateway.orbit/api/v1/vault/sync" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"configured": true,
"url": "<string>",
"email": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"collection": {
"id": "<string>",
"name": "<string>"
},
"items": 123,
"pending": 123,
"skipped": [
{
"source": "<string>",
"slug": "<string>",
"username": "<string>",
"reason": "incomplete"
}
],
"last_synced_at": "<string>",
"last_error": {
"code": "<string>",
"message": "<string>"
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Vaultwarden
Sync database credentials to Vaultwarden
Runs the Vaultwarden sync now: creates, rewrites, or permanently deletes Database items; adopts Orbit items with no ledger row; deletes duplicates, trashed copies, and items whose source is gone; and rewrites items changed in Vaultwarden. Returns the status when every change succeeded, and vault.sync_failed (502) with failed and first_error details when any change failed; the next run retries. Returns vault.not_configured or vault.sync_busy (409), and vault.unreachable (502) when Vaultwarden cannot be reached.
POST
/
api
/
v1
/
vault
/
sync
curl
curl -sS -X POST "https://gateway.orbit/api/v1/vault/sync" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"configured": true,
"url": "<string>",
"email": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"collection": {
"id": "<string>",
"name": "<string>"
},
"items": 123,
"pending": 123,
"skipped": [
{
"source": "<string>",
"slug": "<string>",
"username": "<string>",
"reason": "incomplete"
}
],
"last_synced_at": "<string>",
"last_error": {
"code": "<string>",
"message": "<string>"
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}